<?php

function greatway_banner_img_url(){
	global $greatway;

	$greatway_home_banner_img					 = '';

	if ( isset( $greatway['greatway_home_banner_img']['url'] ) ) {
		$greatway_home_banner_img = $greatway['greatway_home_banner_img']['url'];
	}
	
	$greatway_upload_banner_image = get_post_meta(get_the_ID(), '_greatway_upload_banner_image', true);
	
	$greatway_default_banner_img = get_template_directory_uri() . '/assets/img/bg/home-bg.jpg';

	if($greatway_upload_banner_image){
		return $greatway_upload_banner_image;
	}elseif($greatway_home_banner_img){
		return $greatway_home_banner_img;
	}else{
		return $greatway_default_banner_img;
	}
}


function greatway_blog_banner(){ 
?>

	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php echo esc_url(greatway_banner_img_url());?>)">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('Blog' , 'greatway');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'greatway');?></a></li>
						  <li class="active"><?php esc_html_e('Blog' , 'greatway');?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	
		
<?php }

function greatway_shop_archive_banner(){ 

?>

	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php echo esc_url(greatway_banner_img_url());?>)">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('Shop' , 'greatway');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'greatway');?></a></li>
						  <li class="active"><?php esc_html_e('Shop' , 'greatway');?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	
		
<?php }

function greatway_archive_banner(){ 
?>

	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php echo esc_url(greatway_banner_img_url());?>)">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('Archive' , 'greatway');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'greatway');?></a></li>
						  <li class="active"><?php the_archive_title();?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	
		
<?php }

function greatway_search_banner(){ 

?>

	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php echo esc_url(greatway_banner_img_url());?>)">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('Search' , 'greatway');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'greatway');?></a></li>
						  <li class="active"><?php printf( esc_html__( 'Search Results for: %s', 'greatway' ), '<span>' . get_search_query() . '</span>' ); ?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	
		
<?php }

function greatway_404_banner(){ 

?>

	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php echo esc_url(greatway_banner_img_url());?>)">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('404' , 'greatway');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'greatway');?></a></li>
						  <li class="active"><?php esc_html_e('404' , 'greatway');?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	
		
<?php }

function greatway_single_banner(){ 

?>

	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php echo esc_url(greatway_banner_img_url());?>)">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php the_title();?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'greatway');?></a></li>
						  <li class="active"><?php the_title();?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	
		
<?php }

function greatway_header(){ 
	global $greatway;
	
	$greatway_preloader_opt					 = '';
	$greatway_homepage_opt					 = '';
	$greatway_spinner_text					 = '';

	if ( isset( $greatway['greatway_preloader_opt']) ) {
		$greatway_preloader_opt = $greatway['greatway_preloader_opt'];
	}
	
	if ( isset( $greatway['greatway_homepage_opt']) ) {
		$greatway_homepage_opt = $greatway['greatway_homepage_opt'];
	}
	
	if ( isset( $greatway['greatway_spinner_text'] ) ) {
		$greatway_spinner_text = $greatway['greatway_spinner_text'];
	}

	$greatway_default_logo_img = get_template_directory_uri() . '/assets/img/logo.png';
	
?>

	<?php if($greatway_preloader_opt == '1' && !$greatway_homepage_opt == '1') { ?>
		
		<!-- START PRELOADER -->
		<div class="preloader">
			<div class="status">
				<div class="status-mes"><h4><?php echo esc_html($greatway_spinner_text);?></h4></div>
			</div>
		</div>
		<!-- END PRELOADER -->
	
	<?php }elseif($greatway_preloader_opt == '1' && $greatway_homepage_opt == '1'){ ?>	

	<?php if(is_front_page()) {?>
		<!-- START PRELOADER -->
		<div class="preloader">
			<div class="status">
				<div class="status-mes"><h4><?php echo esc_html($greatway_spinner_text);?></h4></div>
			</div>
		</div>
		<!-- END PRELOADER -->
	<?php } } ?>
	

		
<!-- START NAVBAR -->
<div class="navbar navbar-default navbar-fixed-top menu-top">
	<div class="container">
		<div class="navbar-header">
			<a href="<?php echo esc_url(home_url('/'));?>" class="navbar-brand">
				<?php if(get_custom_logo()){
					 the_custom_logo();
				}else { ?>
				  <img src="<?php echo esc_url($greatway_default_logo_img);?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
				<?php } ?>		
			</a>
		</div>
		
		<div class="menu-area">
			<nav id="navigation">
				<?php greatway_main_menu();?>
			</nav>
			<div id="mobile_menu"></div>
		</div> 
	</div><!--- END CONTAINER -->
</div> 
<!-- END NAVBAR -->	

<?php
	
}

function greatway_footer(){ 
	global $greatway;

	$greatway_copywrite_text					 = '';
	$greatway_footer_fb_link					 = '';
	$greatway_footer_tw_link					 = '';
	$greatway_footer_gplus_link					 = '';
	$greatway_footer_linkedin_link					 = '';
	$greatway_footer_youtube_link					 = '';
	$greatway_footer_skype_link					 = '';

	if ( isset( $greatway['greatway_copywrite_text']) ) {
		$greatway_copywrite_text = $greatway['greatway_copywrite_text'];
	}	
	
	if ( isset( $greatway['greatway_footer_fb_link'] ) ) {
		$greatway_footer_fb_link = $greatway['greatway_footer_fb_link'];
	}	
	
	if ( isset( $greatway['greatway_footer_tw_link']) ) {
		$greatway_footer_tw_link = $greatway['greatway_footer_tw_link'];
	}
		
	if ( isset( $greatway['greatway_footer_gplus_link']) ) {
		$greatway_footer_gplus_link = $greatway['greatway_footer_gplus_link'];
	}
	
	if ( isset( $greatway['greatway_footer_linkedin_link'] ) ) {
		$greatway_footer_linkedin_link = $greatway['greatway_footer_linkedin_link'];
	}	
	
	if ( isset( $greatway['greatway_footer_youtube_link'] ) ) {
		$greatway_footer_youtube_link = $greatway['greatway_footer_youtube_link'];
	}	
	
	if ( isset( $greatway['greatway_footer_skype_link'] ) ) {
		$greatway_footer_skype_link = $greatway['greatway_footer_skype_link'];
	}
				
	$greatway_default_logo_img = get_template_directory_uri() . '/assets/img/logo.png';
?>
<!-- START FOOTER -->
<footer class="footer section-padding">
	<div class="container">
		<div class="row">
			<div class="col-sm-12 text-center wow zoomIn">
				<div class="footer_content">
					<div class="footer-logo">
						<a href="<?php echo esc_url(home_url('/'));?>">
							<?php if(get_custom_logo()){
								 the_custom_logo();
							}else { ?>
							  <img src="<?php echo esc_url($greatway_default_logo_img);?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
							<?php } ?>		
						</a>
					</div>
					
					<div class="footer_social">
						<ul>
							<?php if($greatway_footer_fb_link){ ?>
								<li><a class="f_facebook wow bounceInDown" href="<?php echo esc_url($greatway_footer_fb_link);?>"><i class="fa fa-facebook"></i></a></li>
							<?php } if($greatway_footer_tw_link){ ?>
								<li><a class="f_twitter wow bounceInDown" data-wow-delay=".1s" href="<?php echo esc_url($greatway_footer_tw_link);?>"><i class="fa fa-twitter"></i></a></li>
							<?php } if($greatway_footer_gplus_link){ ?>
								<li><a class="f_google wow bounceInDown" data-wow-delay=".2s" href="<?php echo esc_url($greatway_footer_gplus_link);?>"><i class="fa fa-google-plus"></i></a></li>
							<?php } if($greatway_footer_linkedin_link){ ?>
								<li><a class="f_linkedin wow bounceInDown" data-wow-delay=".3s" href="<?php echo esc_url($greatway_footer_linkedin_link);?>"><i class="fa fa-linkedin"></i></a></li>
							<?php } if($greatway_footer_youtube_link){ ?>
								<li><a class="f_youtube wow bounceInDown" data-wow-delay=".4s" href="<?php echo esc_url($greatway_footer_youtube_link);?>"><i class="fa fa-youtube"></i></a></li>
							<?php } if($greatway_footer_skype_link){ ?>
								<li><a class="f_skype wow bounceInDown" data-wow-delay=".5s" href="<?php echo esc_url($greatway_footer_skype_link);?>"><i class="fa fa-skype"></i></a></li>
							<?php } ?>
						</ul>
					</div>	
					<p><?php 
					 if($greatway_copywrite_text){
						 echo greatway_wp_kses($greatway_copywrite_text);
					 }else{
						 echo esc_html__('Greatway © 2021 All Rights Reserved.' , 'greatway');
					 }
							
					?></p>
				</div>
										
			</div><!--- END COL -->
		</div><!--- END ROW -->
	</div><!--- END CONTAINER -->	
</footer>
<!-- END FOOTER -->			
<?php }